﻿# ce module python permet de tracer des courbes avec les valeurs d'un fichier csv contenant des nombres.
# par exemple cela permet de visualiser les données récupérées à partir des capteurs températures d'une carte arduino
# il est publié sous licence MIT
# Copyright © <Jean-Louis Gaudibert>

import matplotlib.pyplot as plt
import numpy as np
import csv
from csvtolist import *


# le fichier csv avec les valeurs duquel on veut faire un graphique
fname = 'mesures4sondesconvection.csv'
nbsondes = 4    # nombre de sondes utilisées

csvtolist(fname,nbsondes) # appel de la fonction avec le nom du csv et le nombre de sondes du

plt.title("évolution de la température pour 2 sondes en surface et 2 sondes au fond d'un cristallisoir au dessus d'un source de chaleur")
# limites verticales du graphique
plt.ylim(19,30)
# traçage des courbes avec couleur et motif
if nbsondes >3:
    plt.plot(mesure,valeursSondeD,'y+-',label='sonde D surface sur le côté du cristallisoir')
if nbsondes >2:
    plt.plot(mesure,valeursSondeC,'r+-',label='sonde C surface au dessus de la source de chaleur')
if nbsondes >1:
    plt.plot(mesure,valeursSondeB,'b+-',label='sonde B au fond sur le côté du cristallisoir')
if nbsondes >=1:
    plt.plot(mesure,valeursSondeA,'g+-',label='sonde A au fond au dessus de la source de chaleur')

plt.legend(loc='upper left')

plt.legend(loc='upper left')
# étiquettes du graphe
plt.xlabel ("temps (mesures)")
plt.ylabel ("température (°C)")
# affichage dans une fenêtre
plt.show()